export declare type EosioAuthorizationObject = {
    actor: string;
    permission: string;
};
export declare type EosioActionObject = {
    account: string;
    name: string;
    authorization: EosioAuthorizationObject[];
    data: any;
};
import * as types from "../types/index";
export declare class ActionGenerator {
    readonly contract: string;
    constructor(contract: string);
    add(authorization: EosioAuthorizationObject[], account: string, supported_symbols: types.ExtendedSymbols): EosioActionObject[];
    create(authorization: EosioAuthorizationObject[], creator: string, payouts: types.Payouts, supported_symbols: types.ExtendedSymbols): EosioActionObject[];
    withdraw(authorization: EosioAuthorizationObject[], owner: string, symbols: types.ExtendedSymbols): EosioActionObject[];
    protected _pack(account: string, authorization: EosioAuthorizationObject[], name: string, data: any): EosioActionObject[];
}
